@charset "utf-8";
/* BASE
----------------------------------------------------------------------------------------*/
*
{
	-webkit-transition: all 0.3s ease;
	-moz-transition: all 0.3s ease;
	-o-transition: all 0.3s ease;
	-ms-transition: all 0.3s ease;
	transition: all 0.3s ease;
}

.main-box a
{
	color: #00101b;
	text-decoration: none;
}

.scroll-to-link
{
	cursor: pointer;
}

.scroll-to-link > a
{
	display: flex;
	justify-content: space-between;
}

.scroll-to-link:not(.active) > ul
{
	display: none;
}

.higlighted
{
	background-color: rgba(0, 0, 0, 0.05);
	padding: 3px;
	border-radius: 3px;
}

.main-box
{
	display: flex;
	align-items: flex-start;
}

/* LEFT-MENU
----------------------------------------------------------------------------------------*/
.developer-menu
{
	box-sizing: border-box;
	background-color: #f2f6f8;
	overflow-x: hidden;
	font-size: 17px;
	flex-basis: 320px;
	border-radius: 7px;
	flex-grow: 0;
	flex-shrink: 0;
}

.developer-menu .content-infos
{
	position: relative;
	padding: 12px 13.25%;
	margin-bottom: 20px;
}

.developer-menu .info
{
	position: relative;
	font-size: 14px;
	margin-top: 5px;
	color: #777A7A;
}

.developer-menu .info b {
	font-weight: 500;
	color: #00101b;
}

.content-logo
{
	position: relative;
	display: block;
	width: 100%;
	box-sizing: border-box;
	padding: 1.425em 13%;
	padding-bottom: 10px;
}

.content-logo span
{
	display: inline-block;
	margin-left: 0px;
	vertical-align: middle;
	color: #323F4C;
	font-size: 1.1em;
}

.content-menu ul
{
	list-style: none;
	margin: 0;
	padding: 0;
	padding-bottom: 15px;
	line-height: 28px;
}

.content-menu ul li
{
	list-style: none;
	margin: 0;
	padding: 0;
	line-height: 0;
}

.content-menu ul > li:hover,
.content-menu ul > li.active
{
	background-color: #e7ecee !important;
}

.content-menu ul li:hover > a,
.content-menu ul li.active > a
{
	color: #00101b;
}

.content-menu ul li a
{
	padding: 12px 13.25%;
	color: #212529;
	line-height: 1.1;
	text-transform: capitalize;
}

/* CONTENT-PAGE
----------------------------------------------------------------------------------------*/

.content-page
{
	position: relative;
	box-sizing: border-box;
	margin-left: 2rem;
	background-color: #fff;
	min-height: 100%;
	padding-bottom: 1px;
	padding-top: 1rem;
}

.content pre,
.content blockquote
{
	background-color: #323f4c;
	border-color: #323f4c;
	color: #fff;
	padding: 0 28px 2em;
	margin: 0;
	width: 50%;
	float: right;
	clear: right;
	box-sizing: border-box;
}

.content pre code, .content pre
{
	font-size: 12px;
	line-height: 1.5;
}

.content blockquote,
.content pre,
.content pre code
{
	padding-top: 0;
	margin-top: 0;
}

.content pre code
{
	margin-top: -2em;
}

.content table
{
	font-size: 0.825em;
	margin-bottom: 1.5em;
	border-collapse: collapse;
	border-spacing: 0;
}

.content table tr:last-child
{
	border-bottom: 1px solid #ccc;
}

.content table th
{
	font-size: 0.925em;
	padding: 5px 18px 5px 0;
	border-bottom: 1px solid #ccc;
	vertical-align: bottom;
	text-align: left;
	line-height: 1.6;
}

.content table td
{
	padding: 5px 18px 5px 0;
	text-align: left;
	vertical-align: top;
	line-height: 1.6;
	font-family: 'Roboto', sans-serif;
	font-weight: 300;
	color: #777A7A;
}

.api-address
{
	display: block;
	margin: 10px 0;
	text-align: left;
	color: #6484cd;
	box-shadow: 0 2px 6px rgba(112, 141, 214, .15);
	background: #fff;
	border-radius: 3px;
	font-size: 14px;
	padding: 5px 13px 3px 60px;
	position: relative;
	direction: ltr;
}

.api-address span
{
	background: #8e94a5;
	border-radius: 3px;
	font-size: 12px;
	color: #fff;
	padding: 1px 10px;
	width: 48px;
	left: 5px;
	position: absolute;
}

.section {
	margin-top: 40px;
}
/* burger-menu-icon
----------------------------------------------------------------------------------------*/
.burger-menu-icon
{
	background-color: transparent;
	border: none;
	cursor: pointer;
	display: inline-block;
	vertical-align: middle;
	padding: 0;
	position: absolute;
	right: 26px;
	top: 26px;
	display: none;
}

.burger-menu-icon .line
{
	fill: none;
	stroke: #000;
	stroke-width: 6;
	transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1),
	stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1);
}

.burger-menu-icon .line1
{
	stroke-dasharray: 60 207;
	stroke-width: 6;
}

.burger-menu-icon .line2
{
	stroke-dasharray: 60 60;
	stroke-width: 6;
}

.burger-menu-icon .line3
{
	stroke-dasharray: 60 207;
	stroke-width: 6;
}

html.menu-opened .burger-menu-icon .line1
{
	stroke-dasharray: 90 207;
	stroke-dashoffset: -134;
	stroke-width: 6;
}

html.menu-opened .burger-menu-icon .line2
{
	stroke-dasharray: 1 60;
	stroke-dashoffset: -30;
	stroke-width: 6;
}

html.menu-opened .burger-menu-icon .line3
{
	stroke-dasharray: 90 207;
	stroke-dashoffset: -134;
	stroke-width: 6;
}

/* RESPONSIVE
----------------------------------------------------------------------------------------*/

@media only screen and (max-width: 780px)
{
	html
	{
		scroll-padding-top: 83px;
	}

	html.menu-opened
	{
		overflow: hidden;
	}

	.developer-menu
	{
		position: absolute;
		width: auto;
		left: 0;
		right: 0;
		top: 19px;
	}

	.developer-menu .content-menu
	{
		position: fixed;
		width: 400px;
		max-width: 90vw;
		z-index: 3;
		top: 0;
		bottom: 0;
		right: -405px;
		left: auto;
		background-color: #fff;
		margin: 0;
		overflow-x: hidden;
		padding-bottom: 20px;
	}

	.developer-menu .content-menu ul
	{
		position: relative;
	}

	.developer-menu .mobile-menu-closer
	{
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		z-index: 2;
		background-color: rgba(50, 63, 76, .5);
		opacity: 0;
		visibility: hidden;
	}

	html.menu-opened .developer-menu .mobile-menu-closer
	{
		opacity: 1;
		visibility: visible;
	}

	html.menu-opened .developer-menu .content-menu
	{
		right: 0;
	}

	.developer-menu .content-logo
	{
		width: 100%;
		background-color: #f4f5f8;
	}

	.content-page
	{
		margin-left: 0;
		margin-right: 0;
		margin-top: 83px;
	}

	.burger-menu-icon
	{
		display: block;
	}
}
